@import url('https://fonts.googleapis.com/css2?family=Finlandica&family=Montserrat+Alternates:ital@1&family=Playfair+Display:ital,wght@0,600;1,500&display=swap');
:root {
  --yellow:#f5bf23;
  --black:#111;
  --white:#fff;
  --light-color:#666;
  --light-bg:#eee;
  --box-shadow:0 .5rem 1rem rgba(0,0,0,.1);
  --border:.1rem solid rgba(0,0,0,.3);
}

.contacts{
  width: 100%;
  height: 120vh;
  display: flex;
  flex-direction: column;
  color: #fff;
  background: #309F8F;
  justify-content: center;
}

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Finlandica', sans-serif;
}
nav{
  position: fixed;
  z-index: 99;
  width: 100%;
  background: #000;
}
nav .wrapper{
  position: relative;
  max-width: 1300px;
  padding: 0px 30px;
  height: 70px;
  line-height: 70px;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.wrapper .logo img{
    height: 70px;
    padding: 5px;
    margin-top: 25px;
    align-items: center;
    justify-content: center;
}
.wrapper .nav-links{
  display: inline-flex;
}
.nav-links li{
  list-style: none;
}
.nav-links li a{
  color: #f2f2f2;
  text-decoration: none;
  font-size: 18px;
  font-weight: 500;
  padding: 9px 15px;
  border-radius: 5px;
  transition: all 0.3s ease;
}
.nav-links li a:hover{
  background: rgb(23, 23, 23);
}
.nav-links .mobile-item{
  display: none;
}

.wrapper .btn{
  color: #fff;
  font-size: 20px;
  cursor: pointer;
  display: none;
}
.wrapper .btn.close-btn{
  position: absolute;
  right: 30px;
  top: 10px;
}

@media screen and (max-width: 970px) {
  .wrapper .btn{
    display: block;
  }
  .wrapper .nav-links{
    position: fixed;
    height: 100vh;
    width: 100%;
    max-width: 350px;
    top: 0;
    left: -100%;
    background: #242526;
    display: block;
    padding: 50px 10px;
    line-height: 50px;
    overflow-y: auto;
    box-shadow: 0px 15px 15px rgba(0,0,0,0.18);
    transition: all 0.3s ease;
  }
  /* custom scroll bar */
  ::-webkit-scrollbar {
    width: 10px;
  }
  ::-webkit-scrollbar-track {
    background: #242526;
  }
  ::-webkit-scrollbar-thumb {
    background: #3A3B3C;
  }
  #menu-btn:checked ~ .nav-links{
    left: 0%;
  }
  #menu-btn:checked ~ .btn.menu-btn{
    display: none;
  }
  #close-btn:checked ~ .btn.menu-btn{
    display: block;
  }
  .nav-links li{
    margin: 15px 10px;
  }
  .nav-links li a{
    padding: 0 20px;
    display: block;
    font-size: 20px;
  }
  .nav-links .drop-menu{
    position: static;
    opacity: 1;
    top: 65px;
    visibility: visible;
    padding-left: 20px;
    width: 100%;
    max-height: 0px;
    overflow: hidden;
    box-shadow: none;
    transition: all 0.3s ease;
  }
  #showDrop:checked ~ .drop-menu,
  #showMega:checked ~ .mega-box{
    max-height: 100%;
  }
  .nav-links .desktop-item{
    display: none;
  }
  .nav-links .mobile-item{
    display: block;
    color: #f2f2f2;
    font-size: 20px;
    font-weight: 500;
    padding-left: 20px;
    cursor: pointer;
    border-radius: 5px;
    transition: all 0.3s ease;
  }
  .nav-links .mobile-item:hover{
    background: #3A3B3C;
  }
  .drop-menu li{
    margin: 0;
  }
  .drop-menu li a{
    border-radius: 5px;
    font-size: 18px;
  }
  .mega-box{
    position: static;
    top: 65px;
    opacity: 1;
    visibility: visible;
    padding: 0 20px;
    max-height: 0px;
    overflow: hidden;
    transition: all 0.3s ease;
  }
  .mega-box .content{
    box-shadow: none;
    flex-direction: column;
    padding: 20px 20px 0 20px;
  }
  .mega-box .content .row{
    width: 100%;
    margin-bottom: 15px;
    border-top: 1px solid rgba(255,255,255,0.08);
  }
  .mega-box .content .row:nth-child(1),
  .mega-box .content .row:nth-child(2){
    border-top: 0px;
  }
  .content .row .mega-links{
    border-left: 0px;
    padding-left: 15px;
  }
  .row .mega-links li{
    margin: 0;
  }
  .content .row header{
    font-size: 19px;
  }
}
nav input{
  display: none;
}

.contact-container{
    max-width: 960px;
    margin: auto;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.5rem;
    overflow: hidden;
}

.form-container{
    padding: 20px;
}

.form-container h3{
    font-size: 1.2rem;
    font-weight: 600;
    margin-bottom: 1rem;
}

.contact-form{
    display: grid;
    row-gap: 1rem   ;
}

.contact-form input,
.contact-form textarea {
    width: 100%;
    border: none;
    outline: none;
    background: #d1fff9;
    padding: 10px;
    font-size: 0.9rem;
    color: black;
    border-radius: 0.4rem;
}

.contact-form textarea{
    resize: none;
    height: 200px;
}

.contact-form .send-button{
    border: none;
    outline: none;
    background: #08443c;
    color: #fff;
    font-size: 1rem;
    font-weight: 500;
    text-transform: uppercase;
    cursor: pointer;
}

.contact-form .send-button:hover{
    background: rgba(85, 209, 63, 0.8);
    transition: 0.3s all linear;
}

.map iframe{
    width: 100%;
    height: 95%;
}

/* Making Responsive */
@media (max-width: 964px) {
    .contact-container{
        margin: 0 auto;
        width: 90%;
    }
}

@media (max-width: 700px) {
    .contact-container{
        grid-template-columns: 1fr;
        gap: 1rem;
        margin-top: 20% !important;
    }
    .map iframe{
        height: 400px;
    }
}

.end{
    position: relative;
    width: 100%;
    min-height: 10vh;
    display: flex;
    margin-top: -20px;
    background: #000;
    align-items: center;
    justify-content: center;
  }
  
  .footer-text{
    text-align: center;
    padding: 20px;
    color: #fff;
  }